Skip to main content

Signicat Data Verification API (v1)

Download OpenAPI specification:Download

Introduction

The Data Verification API returns normalised data from carefully selected data sources through a single point of integration, making it easy for you to interpret and use the responses regardless of the source.

This API reference provides information on available endpoints and how to interact with them. To learn more about the use cases and available data sources, see our Data Verification developer documentation.

This REST API uses the OAuth 2.0 protocol for authorisation. All request and response bodies are formatted in JSON.

Get started

Before you can start making requests to this API, you need to learn how to connect to it. To do this, see the Quick start guide.

Using this API

Audit logs

Use the Signicat Audit logs service to see documented evidence of the sequence of activities that have affected a system.

  • Access it: Signicat Dashboard > Settings > Audit logs
  • For information generic to all Signicat audit logs, see the general Audit logs documentation.

Errors

When you make an API call to Signicat and an error occurs, you will receive a response message with an error code.

  • For errors generic to all Signicat APIs, see the general Error codes documentation.
  • For errors specific to this service, see the Data Verification Error codes documentation.

Events (callback)

Use the Signicat Events service to automatically receive information about when something happens in one of our services into your system.

  • Access it: Go to Signicat Dashboard > Settings > Events
  • For information generic to all Signicat events, see the general Events documentation.

Note: This is often referred to as callback.

Organizations

This API returns information about an organization.

Learn more about the different data sources in the developer documentation. Also, refer to Sources section (below) to learn how to configure the data sources which you would like to use.

Basic

Retrieve basic info about an organization

path Parameters
country
required
string

ISO 3166-1 country code

id
required
string

Id of the organization

query Parameters
idType
string

Optional hint to what kind of id being used. Allowed values are organization, tax, external, IBAN and branch, defaults to organization or IBAN based on endpoint and is only used by a limited number of sources.

name
string

Company Name

source
string <= 50 characters

Optional name of the source to use

rawJson
boolean

Optionally include the raw data received from the upstream if supported by the source

Responses

Response samples

Content type
application/json
{
  • "name": "SIGNICAT AS",
  • "names": [
    ],
  • "organizationNumber": "989584022",
  • "vatNumber": "989584022",
  • "registrationDate": null,
  • "country": {
    },
  • "businessAddress": {
    },
  • "addresses": [
    ],
  • "organizationType": {},
  • "legalStatus": "active",
  • "employees": 132,
  • "industries": [
    ],
  • "contact": {
    },
  • "metadata": {}
}

Authorization

This endpoint returns which people are allowed to sign and act on behalf of an organization.

If multiple people have to sign together, those people will be mentioned together in a so-called “combination”. If multiple combinations exist, they will all be calculated by the API and returned. The API will report if it was able to calculate all combinations, only a part of the possible combinations, or no combinations. The API will also return a list of the individual people with signing rights and their respective roles.

path Parameters
country
required
string

ISO 3166-1 country code

id
required
string

Id of the organization

query Parameters
idType
string

Optional hint to what kind of id being used. Allowed values are organization, tax, external, IBAN and branch, defaults to organization or IBAN based on endpoint and is only used by a limited number of sources.

name
string

Company Name

source
string <= 50 characters

Optional name of the source to use

rawJson
boolean

Optionally include the raw data received from the upstream if supported by the source

Responses

Response samples

Content type
application/json
{
  • "signature": {
    },
  • "powerOfProcuration": {
    },
  • "metadata": {}
}

Ownership

Retrieve ownership info for an organization

path Parameters
country
required
string

ISO 3166-1 country code

id
required
string

Id of the organization

query Parameters
idType
string

Optional hint to what kind of id being used. Allowed values are organization, tax, external, IBAN and branch, defaults to organization or IBAN based on endpoint and is only used by a limited number of sources.

name
string

Company Name

source
string <= 50 characters

Optional name of the source to use

rawJson
boolean

Optionally include the raw data received from the upstream if supported by the source

Responses

Response samples

Content type
application/json
{
  • "companies": [
    ],
  • "persons": [
    ],
  • "otherShareholders": [
    ],
  • "sourceSpecific": null,
  • "metadata": {
    }
}

Roles

Retrieve information about roles in an organization

path Parameters
country
required
string

ISO 3166-1 country code

id
required
string

Id of the organization

query Parameters
expand
Array of strings

Optionally request one or more attributes, by default all available attributes are included.

idType
string

Optional hint to what kind of id being used. Allowed values are organization, tax, external, IBAN and branch, defaults to organization or IBAN based on endpoint and is only used by a limited number of sources.

name
string

Company Name

source
string <= 50 characters

Optional name of the source to use

rawJson
boolean

Optionally include the raw data received from the upstream if supported by the source

Responses

Response samples

Content type
application/json
{
  • "persons": [
    ],
  • "companies": [
    ],
  • "others": null,
  • "metadata": {
    }
}

Ultimate beneficial owners

Retrieve information about ultimate beneficial owners for an organization

path Parameters
country
required
string

ISO 3166-1 country code

id
required
string

Id of the organization

query Parameters
idType
string

Optional hint to what kind of id being used. Allowed values are organization, tax, external, IBAN and branch, defaults to organization or IBAN based on endpoint and is only used by a limited number of sources.

name
string

Company Name

source
string <= 50 characters

Optional name of the source to use

rawJson
boolean

Optionally include the raw data received from the upstream if supported by the source

Responses

Response samples

Content type
application/json
{
  • "ultimateBeneficiaryOwners": [
    ],
  • "metadata": {
    }
}

Finance

Retrieve financial info for an organization

path Parameters
country
required
string

ISO 3166-1 country code

id
required
string

Id of the organization

query Parameters
idType
string

Optional hint to what kind of id being used. Allowed values are organization, tax, external, IBAN and branch, defaults to organization or IBAN based on endpoint and is only used by a limited number of sources.

name
string

Company Name

source
string <= 50 characters

Optional name of the source to use

rawJson
boolean

Optionally include the raw data received from the upstream if supported by the source

Responses

Response samples

Content type
application/json
{
  • "creditRating": {},
  • "numberOfPaymentRemarks": 0,
  • "profitAndLoss": [
    ],
  • "netWorth": [ ],
  • "metadata": {
    }
}

Account Holder Verification

Retrieve account details if a bank account is found (using an IBAN) and it matches the name provided.

path Parameters
country
required
string

ISO 3166-1 country code

accountNumber
required
string

Account number of the organization

query Parameters
idList
Array of strings

Parameter used to specify a list of id checks. Allowed values are NL_KVK, NL_KVK_BRANCH, EU_VAT, FR_SIREN, FR_SIRET and UK_CRN. This parameter applies to a limited number of sources. For data sources in Italy, this is a required parameter and must be set to EU_VAT. Format to specify the attribute should be as follows NL_KVK, 01234565

idType
string

Optional hint to what kind of id being used. Allowed values are organization, tax, external, IBAN and branch, defaults to organization or IBAN based on endpoint and is only used by a limited number of sources.

name
string

Company Name

source
string <= 50 characters

Optional name of the source to use

rawJson
boolean

Optionally include the raw data received from the upstream if supported by the source

id
string

Id of the organization

Responses

Response samples

Content type
application/json
{
  • "accountNumber": "string",
  • "isValidAccountNumber": true,
  • "validationDetails": [
    ],
  • "country": {
    },
  • "accountDetails": {
    },
  • "metadata": {
    }
}

Screening

AML/CFT screening against lists with politically exposed persons (PEP), sanctions and adverse media.

query Parameters
idType
string

Optional hint to what kind of id being used. Allowed values are organization, tax and external, defaults to organization and is only used by a limited number of sources.

countries
string <= 50 characters

Comma-separated list of countries to include in the search - ISO 3166-1 format

id
string <= 100 characters

Id of the entity to search for

name
string <= 100 characters

Name of the entity to search for

source
string <= 50 characters

Optional name of the source to use

rawJson
boolean

Optionally include the raw data received from the upstream if supported by the source

listType
string

Comma-separated string of list types to screen against, defaults to all lists. Allowed values are pep, sanction and adverseMedia.

offset
integer <int32>

Used for paging

limit
integer <int32>

Set how many results you want per page (max/default 100)

Responses

Response samples

Content type
application/json
{
  • "offset": 0,
  • "limit": 100,
  • "size": 1,
  • "data": [
    ],
  • "metadata": {
    }
}

Search - Beta

Search for an organization.

        Remarks when searching multiple sources:
        Functionality is subject to change without prior notice.
query Parameters
idType
string

Optional hint to what kind of id being used. Allowed values are organization, tax and external, defaults to organization and is only used by a limited number of sources.

countries
string <= 50 characters

Comma-separated list of countries to include in the search - ISO 3166-1 format

id
string <= 100 characters

Id of the entity to search for

name
string <= 100 characters

Name of the entity to search for

source
string <= 50 characters

Optional name of the source to use

rawJson
boolean

Optionally include the raw data received from the upstream if supported by the source

cursor
string

Cursor returned for paginating multiple sources, cannot be used together with offset and limit.

offset
integer <int32>

Used for paging

limit
integer <int32>

Set how many results you want per page (max/default 100)

Responses

Response samples

Content type
application/json
{}

Documents

Provides the link to download the documents(Registration, UBO map, Ownership map, Shareholders) from data registers.

query Parameters
id
string

A unique identifier for the organization

country
string

Country where the organisation is located.

name
string

Optional filter for the organization name

documentType
string (DocumentType)
Enum: "basic" "shareholder" "registration" "financial" "tax" "ownership" "ubo" "board" "historical" "registerExtract" "other" "groupStructure"

Specifies the type of document to retrieve

deliveryMethod
string (DeliveryMethod)
Value: "base64"

Delivery method of the document

source
string <= 50 characters

Optional name of the source to use

rawJson
boolean

Optionally include the raw data received from the upstream if supported by the source

Responses

Response samples

Content type
application/json
{
  • "id": "string",
  • "name": "string",
  • "document": {
    },
  • "metadata": {
    }
}

Persons

This API returns information about a person.

Learn more about the different data sources in the developer documentation. Also, refer to Sources section (below) to learn how to configure the data sources which you would like to use.

Basic

Retrieve basic info about a person

path Parameters
country
required
string

ISO 3166-1 country code

query Parameters
idType
string

Optional hint to what kind of id being used. Allowed values are PersonalId, Passport, IdentityCard, DriversLicense, TravelDocument, ResidentPermit, TaxNumber and VoterId, defaults to PersonalId and is only used by a limited number of sources.

identityNumber
string

The national identity number used to identify the person

givenName
string

The persons given name

surname
string

The persons surname

dateOfBirth
string or null <yyyy-MM-dd>

The persons date of birth

caseRef
string

Case reference if required by the source

street
string

The persons street address

streetNumber
string

The persons street address number

postalCode
string

The persons postal code

city
string

The persons city place

gender
string

The person's gender. Optional parameter. Allowed values are Male, Female, Other, Unknown. Defaults to Unknown and only applies to a limited number of data sources.

phoneNumber
string

PhoneNumber for the Identity verification

source
string <= 50 characters

Optional name of the source to use

rawJson
boolean

Optionally include the raw data received from the upstream if supported by the source

Responses

Response samples

Content type
application/json
{
  • "names": [
    ],
  • "birth": {
    },
  • "death": {
    },
  • "nationalities": [
    ],
  • "citizenships": null,
  • "permanentAddresses": [
    ],
  • "postalAddresses": [
    ],
  • "foreignAddresses": [ ],
  • "sourceSpecific": null,
  • "metadata": {
    }
}

Address Deprecated

Retrieve address info for a person. This endpoint is deprecated, use Basic instead.

path Parameters
country
required
string

ISO 3166-1 country code

query Parameters
idType
string

Optional hint to what kind of id being used. Allowed values are PersonalId, Passport, IdentityCard, DriversLicense, TravelDocument, ResidentPermit, TaxNumber and VoterId, defaults to PersonalId and is only used by a limited number of sources.

identityNumber
string

The national identity number used to identify the person

givenName
string

The persons given name

surname
string

The persons surname

dateOfBirth
string or null <yyyy-MM-dd>

The persons date of birth

caseRef
string

Case reference if required by the source

street
string

The persons street address

streetNumber
string

The persons street address number

postalCode
string

The persons postal code

city
string

The persons city place

gender
string

The person's gender. Optional parameter. Allowed values are Male, Female, Other, Unknown. Defaults to Unknown and only applies to a limited number of data sources.

phoneNumber
string

PhoneNumber for the Identity verification

source
string <= 50 characters

Optional name of the source to use

rawJson
boolean

Optionally include the raw data received from the upstream if supported by the source

Responses

Response samples

Content type
application/json
{
  • "permanent": {
    },
  • "postal": {
    },
  • "foreign": {
    },
  • "metadata": {
    }
}

Finance

Retrieve finance info for a person

path Parameters
country
required
string

ISO 3166-1 country code

query Parameters
idType
string

Optional hint to what kind of id being used. Allowed values are PersonalId, Passport, IdentityCard, DriversLicense, TravelDocument, ResidentPermit, TaxNumber and VoterId, defaults to PersonalId and is only used by a limited number of sources.

identityNumber
string

The national identity number used to identify the person

givenName
string

The persons given name

surname
string

The persons surname

dateOfBirth
string or null <yyyy-MM-dd>

The persons date of birth

caseRef
string

Case reference if required by the source

street
string

The persons street address

streetNumber
string

The persons street address number

postalCode
string

The persons postal code

city
string

The persons city place

gender
string

The person's gender. Optional parameter. Allowed values are Male, Female, Other, Unknown. Defaults to Unknown and only applies to a limited number of data sources.

phoneNumber
string

PhoneNumber for the Identity verification

source
string <= 50 characters

Optional name of the source to use

rawJson
boolean

Optionally include the raw data received from the upstream if supported by the source

Responses

Response samples

Content type
application/json
{
  • "creditScore": {
    },
  • "numberOfPaymentRemarks": 1,
  • "incomeAndWealth": [
    ],
  • "metadata": {
    }
}

Contacts

Retrieve contacts for a person

path Parameters
country
required
string

ISO 3166-1 country code

query Parameters
idType
string

Optional hint to what kind of id being used. Allowed values are PersonalId, Passport, IdentityCard, DriversLicense, TravelDocument, ResidentPermit, TaxNumber and VoterId, defaults to PersonalId and is only used by a limited number of sources.

identityNumber
string

The national identity number used to identify the person

givenName
string

The persons given name

surname
string

The persons surname

dateOfBirth
string or null <yyyy-MM-dd>

The persons date of birth

caseRef
string

Case reference if required by the source

street
string

The persons street address

streetNumber
string

The persons street address number

postalCode
string

The persons postal code

city
string

The persons city place

gender
string

The person's gender. Optional parameter. Allowed values are Male, Female, Other, Unknown. Defaults to Unknown and only applies to a limited number of data sources.

phoneNumber
string

PhoneNumber for the Identity verification

source
string <= 50 characters

Optional name of the source to use

rawJson
boolean

Optionally include the raw data received from the upstream if supported by the source

Responses

Response samples

Content type
application/json
{
  • "contacts": [
    ],
  • "metadata": {
    }
}

Identity Verification

Verification of a person identity

path Parameters
country
required
string

ISO 3166-1 country code

query Parameters
idType
string

Optional hint to what kind of id being used. Allowed values are PersonalId, Passport, IdentityCard, DriversLicense, TravelDocument, ResidentPermit, TaxNumber and VoterId, defaults to PersonalId and is only used by a limited number of sources.

identityNumber
string

The national identity number used to identify the person

givenName
string

The persons given name

surname
string

The persons surname

dateOfBirth
string or null <yyyy-MM-dd>

The persons date of birth

caseRef
string

Case reference if required by the source

street
string

The persons street address

streetNumber
string

The persons street address number

postalCode
string

The persons postal code

city
string

The persons city place

gender
string

The person's gender. Optional parameter. Allowed values are Male, Female, Other, Unknown. Defaults to Unknown and only applies to a limited number of data sources.

phoneNumber
string

PhoneNumber for the Identity verification

source
string <= 50 characters

Optional name of the source to use

rawJson
boolean

Optionally include the raw data received from the upstream if supported by the source

Responses

Response samples

Content type
application/json
{
  • "status": "notIdentified",
  • "description": "string",
  • "metadata": {
    }
}

Account Holder Verification

Retrieve account details if a bank account is found (using an IBAN) and it matches the name provided.

path Parameters
country
required
string

ISO 3166-1 country code

accountNumber
required
string

Account number of the person

query Parameters
idType
string

Optional hint to what kind of id being used. Allowed values are PersonalId, Passport, IdentityCard, DriversLicense, TravelDocument, ResidentPermit, TaxNumber and VoterId, defaults to PersonalId and is only used by a limited number of sources.

identityNumber
string

The national identity number used to identify the person

givenName
string

The persons given name

surname
string

The persons surname

dateOfBirth
string or null <yyyy-MM-dd>

The persons date of birth

caseRef
string

Case reference if required by the source

street
string

The persons street address

streetNumber
string

The persons street address number

postalCode
string

The persons postal code

city
string

The persons city place

gender
string

The person's gender. Optional parameter. Allowed values are Male, Female, Other, Unknown. Defaults to Unknown and only applies to a limited number of data sources.

phoneNumber
string

PhoneNumber for the Identity verification

source
string <= 50 characters

Optional name of the source to use

rawJson
boolean

Optionally include the raw data received from the upstream if supported by the source

Responses

Response samples

Content type
application/json
{
  • "accountNumber": "string",
  • "isValidAccountNumber": true,
  • "validationDetails": [
    ],
  • "country": {
    },
  • "accountDetails": {
    },
  • "metadata": {
    }
}

Search - Beta

Search for an person. Functionality is subject to change without prior notice.

query Parameters
dateOfBirth
string <= 10 characters

Date of birth of the entity to search for, accepted formats: yyyy-MM-dd, yyyy-MM or yyyy

postalCode
string

Search person through postal code

countries
string <= 50 characters

Comma-separated list of countries to include in the search - ISO 3166-1 format

id
string <= 100 characters

Id of the entity to search for

name
string <= 100 characters

Name of the entity to search for

source
string <= 50 characters

Optional name of the source to use

rawJson
boolean

Optionally include the raw data received from the upstream if supported by the source

offset
integer <int32>

Used for paging

limit
integer <int32>

Set how many results you want per page (max/default 100)

Responses

Response samples

Content type
application/json
{
  • "offset": 0,
  • "limit": 100,
  • "size": 1,
  • "links": {
    },
  • "data": [
    ],
  • "metadata": {
    }
}

Screening

AML/CFT screening against lists with politically exposed persons (PEP), sanctions and adverse media.

query Parameters
dateOfBirth
string <= 10 characters

Date of birth of the entity to search for, accepted formats: yyyy-MM-dd, yyyy-MM or yyyy

postalCode
string

Search person through postal code

countries
string <= 50 characters

Comma-separated list of countries to include in the search - ISO 3166-1 format

id
string <= 100 characters

Id of the entity to search for

name
string <= 100 characters

Name of the entity to search for

source
string <= 50 characters

Optional name of the source to use

rawJson
boolean

Optionally include the raw data received from the upstream if supported by the source

listType
string

Comma-separated string of list types to screen against, defaults to all lists. Allowed values are pep, sanction and adverseMedia.

offset
integer <int32>

Used for paging

limit
integer <int32>

Set how many results you want per page (max/default 100)

Responses

Response samples

Content type
application/json
{
  • "offset": 0,
  • "limit": 100,
  • "size": 1,
  • "data": [
    ],
  • "metadata": {
    }
}

Sources

Contains information about the different sources used by the API.

It is possible to instruct the API to use a preferred source across profiles by including a JWT of the following model in the request headers. { "ver": 1, "rules": [ { "scope": [ "basic", ], "sources": [ "nameOfSource" ] } ], "strict": true }

If the source is specified by query parameter for a request, this will be used instead of any header.

Organization

Returns the data sources available for organizations.

Responses

Response samples

Content type
application/json
{
  • "providers": {
    },
  • "profiles": [
    ]
}

Natural person

Returns the data sources available for natural persons.

Responses

Response samples

Content type
application/json
{
  • "providers": {
    },
  • "profiles": [
    ]
}

Accounts and Attributes

Returns the data sources available for Accounts and Attributes.

Responses

Response samples

Content type
application/json
{
  • "providers": {
    },
  • "profiles": [
    ]
}

AccountsAndAttributes

This API returns information about a account.

Learn more about the different data sources in the developer documentation. Also, refer to Sources section (below) to learn how to configure the data sources which you would like to use.

Fraud Risk

Retrieve risk of fraud

query Parameters
email
string

The email address to be checked for risk.

phoneNumber
string

The phone number to be checked for risk.

ipAddress
string

The IP address to be checked for risk.

country
string

Country connected with the phoneNumber. ISO 3166-1 country code. This is an optional parameter and usage would depend on the source.

source
string <= 50 characters

Optional name of the source to use

rawJson
boolean

Optionally include the raw data received from the upstream if supported by the source

Responses

Response samples

Content type
application/json
{
  • "email": {
    },
  • "phoneNumber": {
    },
  • "ipAddress": {
    },
  • "metadata": {
    }
}

BusinessRegistry

This API returns information about a business registry.

List registration authorities

Retrieves a list of business registration authorities globally

Responses

Response samples

Content type
application/json
[]

Retrieve registration authority

Retrieves detailed information about a specific registration authority

path Parameters
authorityCode
required
string

Responses

Response samples

Content type
application/json
{
  • "responsibleOrgLocalizedName": "Centre National du Registre du Commerce (CNRC)",
  • "responsibleOrgInternationalName": "National Center of the Trade Register",
  • "authorityCode": "RA000003",
  • "countryCode": "DZ",
  • "country": "Algeria",
  • "localizedName": "Registre du Commerce",
  • "internationalName": "Trade Register",
  • "jurisdiction": "Algeria"
}

Geodata

This API returns information about geo data.

List countries

Lists all countries in the world with English name and ISO 3166-1 country code

query Parameters
lang
string
Default: "en"

Language for result. Defaults to English

Responses

Response samples

Content type
application/json
[]

Retrieve country info

Retrieves basic geographical information about a country

path Parameters
countryCode
required
string

ISO 3166-1 alpha-2 country code to look up

query Parameters
lang
string
Default: "en"

Language for result. Defaults to English

Responses

Response samples

Content type
application/json
{}

List country subdivisions

Retrieves a list over top level administrative subdivisions for a country with name and ISO 3166-2 region code

path Parameters
countryCode
required
string

ISO 3166-1 alpha-2 country code to look up

query Parameters
lang
string
Default: "en"

Language for result. Defaults to English

Responses

Response samples

Content type
application/json
[
  • {
    },
  • {
    },
  • {
    },
  • {
    },
  • {
    },
  • {
    },
  • {
    }
]